﻿using Infragistics.Samples.Framework;
using System.Data;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.ComponentModel;
using System.Windows.Media;
using IGDataGrid.DataSources;

namespace IGDataGrid.Samples.Data
{
    /// <summary>
    /// Interaction logic for ObjectDataBinding.xaml
    /// </summary>
    public partial class ObjectDataBinding : SampleContainer
    {
        public ObjectDataBinding()
        {
            InitializeComponent();
            var foo = (ObservableCollection<Car>)XamDataGrid1.DataSource;
            foo.Add(new ElectricCar("Chevrolet", "Volt", Colors.Red, 19545, 37, 94, 35));
            foo.Add(new ElectricCar("Nissan", "Leaf", Colors.Green, 35200, 0, 99, 73));
            int i = 0;
        }

        private void XamDataGrid1_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            if (e.Item is ElectricCar)
                e.FieldLayout = XamDataGrid1.FieldLayouts["ElectricCarLayout"];
            else
                e.FieldLayout = XamDataGrid1.FieldLayouts["CarLayout"];
        }
    }

    public class ElectricCar : Car
    {
        private int _mpge;
        private int _erange;

        public ElectricCar(string make, string model, Color color, double baseprice, int milage, int mpge, int erange)
            : base(make, model, color, baseprice, milage)
        {
            _mpge = mpge;
            _erange = erange;
        }

        public int MPGe
        {
            get { return _mpge; }
            set
            {
                if (_mpge != value)
                {
                    _mpge = value;
                    NotifyPropertyChanged("MPGe");
                }
            }
        }

        public int ElectricRange
        {
            get { return _erange; }
            set
            {
                if (_erange != value)
                {
                    _erange = value;
                    NotifyPropertyChanged("ElectricRange");
                }
            }
        }
    }
}
