﻿using System.Windows.Data;
using Infragistics.Samples.Framework;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace IGDataGrid.Samples.Display
{
    /// <summary>
    /// Interaction logic for UnboundFields.xaml
    /// </summary>
    public partial class UnboundFields : SampleContainer
    {
        public UnboundFields()
        {
            InitializeComponent();
            SetDataSourcePath();
        }

        void SetDataSourcePath()
        {
            XmlDataProvider source = this.TryFindResource("OrdersData") as XmlDataProvider;
            source.Source = Infragistics.Samples.Shared.DataProviders.XmlDataProvider.GetXmlUri("Orders.xml");
            source.XPath = "/Orders";
        }

        void XamDataGrid1_InitializeRecord(object sender, InitializeRecordEventArgs e)
        {
            if (e.Record is DataRecord)
            {
                //get the current records data, perform the appropriate
                //calculations and assign the values to the unbound fields
                DataRecord dr = (DataRecord)e.Record;

                int quantity = int.Parse(dr.Cells["Quantity"].Value.ToString());
                double cost = double.Parse(dr.Cells["CostPerUnit"].Value.ToString());
                double discount = (double.Parse(dr.Cells["Discount"].Value.ToString())) / 100;
                double sh = double.Parse(dr.Cells["ShipAndHandle"].Value.ToString());

                double subtotal = (quantity * cost) + sh;
                double salestax = subtotal * .07;
                double total = subtotal + salestax;
                dr.Cells["SubTotal"].Value = subtotal;
                dr.Cells["SalesTax"].Value = salestax;
                dr.Cells["Total"].Value = total;
            }
        }
    }
}
