﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Samples.Framework;
using Infragistics.Samples.Shared.DataProviders;
using Infragistics.Samples.Shared.Extensions;
using Infragistics.Samples.Shared.Models;
using System.Data;
using Infragistics.Samples.Shared.Models.Common;
using Infragistics.Windows.DataPresenter;
using System.Windows.Data;
using IGDataGrid.DataSources;
using System.Collections.ObjectModel;

namespace IGDataGrid.Samples.Organization
{
    public partial class ExternalFiltering : SampleContainer
    {
        public ExternalFiltering()
        {
            InitializeComponent();

            this.Resources.Add("FilterEvaluationMode", Enum.GetValues(typeof(FilterEvaluationMode)));
            this.Resources.Add("DataSource", new ListCollectionView(new CarsBusinessLogic().Cars));
        }

        private void XamComboEditor_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            // Clear the filters in CollectionView
            CollectionView cv = this.XamDataGrid1.DataSource as CollectionView;
            if(cv != null)
                cv.Filter = null;

            // Clear the filtered records in xamDataGrid
            this.XamDataGrid1.Records.DataPresenter.FieldLayouts[0].RecordFilters.Clear();

            // Initialyze/Reset the counters
            this.label1.Content = this.XamDataGrid1.RecordManager.GetFilteredInDataRecords().Count().ToString();
            this.label2.Content = this.XamDataGrid1.RecordManager.GetFilteredInDataRecords().Count().ToString();
        }

        private void XamDataGrid1_RecordFilterChanged(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterChangedEventArgs e)
        {
            string recordCount = string.Empty;

            // Obtain the number of filtered records.
            CollectionView cv = this.XamDataGrid1.DataSource as CollectionView;
            if (cv != null)
            {
                recordCount = cv.Count.ToString();
            }

            // Update the counters accordingly.
            this.label1.Content = recordCount;
            this.label2.Content = this.XamDataGrid1.RecordManager.GetFilteredInDataRecords().Count().ToString();
        }
    }
}
